Name:           jbigkit
Version:        2.1
Release:        2
Summary:        JBIG1 lossless image compression tools

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.cl.cam.ac.uk/~mgk25/jbigkit/
Source0:        http://www.cl.cam.ac.uk/~mgk25/download/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  make
Requires:       %{name}-libs = %{version}-%{release}

%define _libdir64 %{_prefix}/lib64
%description
The jbigkit package contains tools for converting between PBM and JBIG1
formats.


%package libs
Summary:        JBIG1 lossless image compression library
Group:          Applications/Multimedia

%description libs
JBIG-KIT provides a portable library of compression and decompression
functions with a documented interface that you can include very easily
into your image or document processing software. In addition, JBIG-KIT
provides ready-to-use compression and decompression programs with a
simple command line interface (similar to the converters found in
netpbm).

JBIG-KIT implements the specification:
    ISO/IEC 11544:1993 and ITU-T Recommendation T.82(1993):
     Information technology — Coded representation of picture and audio
     information — Progressive bi-level image compression 

which is commonly referred to as the “JBIG1 standard”


%package devel
Summary:        JBIG1 lossless image compression library -- development files
Group:          Applications/Multimedia
Requires:       %{name}-libs = %{version}-%{release}

%description devel
The jbigkit-devel package contains files needed for development using 
the JBIG-KIT image compression library.


%prep
%setup -q
%patch0 -p1 -b .aix

rm -rf /tmp/%{name}-%{version}-32bit
mkdir  /tmp/%{name}-%{version}-32bit
mv *   /tmp/%{name}-%{version}-32bit
mkdir 32bit
mv     /tmp/%{name}-%{version}-32bit/* 32bit
rm -rf /tmp/%{name}-%{version}-32bit
mkdir 64bit
cp -rp 32bit/* 64bit/



%build
CC="cc"
AR="/usr/bin/ar -X32_64"


# first build the 64-bit version
export OBJECT_MODE=64
export CC="cc -q64 -D_LARGE_FILES"
cd 64bit
cd libjbig
gmake %{?_smp_mflags}
gmake %{?_smp_mflags} libjbig85.a
CreateExportList -X64 libjbig.exp   libjbig.a
CreateExportList -X64 libjbig85.exp libjbig85.a
${CC} -qmkshrobj libjbig.a   -o shr64-libjbig.so   -bE:libjbig.exp
${CC} -qmkshrobj libjbig85.a -o shr64-libjbig85.so -bE:libjbig85.exp
#rm -f libjbig.exp libjbig85.exp

#gmake clean
#rm -f libjbig.a libjbig85.a *.o
cd ..
export PATH="/opt/freeware/bin:$PATH"
make %{?_smp_mflags}


# now build the 32-bit version
cd ../32bit
cd libjbig
CC="cc -q32 -D_LARGE_FILES"
export OBJECT_MODE=32
gmake %{?_smp_mflags}
gmake %{?_smp_mflags} libjbig85.a
CreateExportList -X32 libjbig.exp   libjbig.a
CreateExportList -X32 libjbig85.exp libjbig85.a

${CC} -qmkshrobj libjbig.a -o shr.o -bE:libjbig.exp
rm -f libjbig.exp libjbig.a
${AR} -rv libjbig.a shr.o
rm -f shr.o

${CC} -qmkshrobj libjbig85.a -o shr.o -bE:libjbig85.exp
rm -f libjbig85.exp libjbig85.a
${AR} -rv libjbig85.a shr.o
rm -f shr.o
cd ..
export PATH="/opt/freeware/bin:$PATH"
make %{?_smp_mflags}



# add the 64-bit shared objects to the shared libraries containing already the
# 32-bit shared objects
cd ../64bit/libjbig
mv shr64-libjbig.so shr64.o
${AR} -q libjbig.a shr64.o
rm -f shr64.o

mv shr64-libjbig85.so shr64.o
${AR} -q libjbig85.a shr64.o
rm -f shr64.o



%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
cd 64bit
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir64}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1


cp libjbig/libjbig.a   ${RPM_BUILD_ROOT}%{_libdir64}
cp libjbig/libjbig85.a ${RPM_BUILD_ROOT}%{_libdir64}
chmod 0644 ${RPM_BUILD_ROOT}%{_libdir64}/*

cp libjbig/jbig.h    ${RPM_BUILD_ROOT}%{_includedir}
cp libjbig/jbig85.h  ${RPM_BUILD_ROOT}%{_includedir}
cp libjbig/jbig_ar.h ${RPM_BUILD_ROOT}%{_includedir}
chmod 0644 ${RPM_BUILD_ROOT}%{_includedir}/*

cp pbmtools/???to???   ${RPM_BUILD_ROOT}%{_bindir}
cp pbmtools/???to???85 ${RPM_BUILD_ROOT}%{_bindir}
mv ${RPM_BUILD_ROOT}%{_bindir}/jbgtopbm ${RPM_BUILD_ROOT}%{_bindir}/jbgtopbm_64
mv ${RPM_BUILD_ROOT}%{_bindir}/jbgtopbm85 ${RPM_BUILD_ROOT}%{_bindir}/jbgtopbm85_64
mv ${RPM_BUILD_ROOT}%{_bindir}/pbmtojbg ${RPM_BUILD_ROOT}%{_bindir}/pbmtojbg_64
mv ${RPM_BUILD_ROOT}%{_bindir}/pbmtojbg85 ${RPM_BUILD_ROOT}%{_bindir}/pbmtojbg85_64
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

cp pbmtools/*.1 ${RPM_BUILD_ROOT}%{_mandir}/man1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib64
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)
 
cd ../32bit 
echo $PWD
cp libjbig/libjbig.a   ${RPM_BUILD_ROOT}%{_libdir}
cp libjbig/libjbig85.a ${RPM_BUILD_ROOT}%{_libdir}
chmod 0644 ${RPM_BUILD_ROOT}%{_libdir}/*
mv pbmtools/jbgtopbm ${RPM_BUILD_ROOT}%{_bindir}/jbgtopbm_32
mv pbmtools/jbgtopbm85 ${RPM_BUILD_ROOT}%{_bindir}/jbgtopbm85_32
mv pbmtools/pbmtojbg ${RPM_BUILD_ROOT}%{_bindir}/pbmtojbg_32
mv pbmtools/pbmtojbg85 ${RPM_BUILD_ROOT}%{_bindir}/pbmtojbg85_32
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%files libs
%defattr(-,root,system,-)
%doc 32bit/COPYING 32bit/ANNOUNCE 32bit/TODO 32bit/INSTALL 32bit/CHANGES
%{_libdir64}/*.a
/usr/lib64/*.a
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%{_includedir}/*
/usr/include*


%changelog
* Wed Apr 16 2025 Sangamesh Mallayya <smallayy@in.ibm.com> - 2.1-2
- Rebuild for AIX 7.1 using RPMv4.    

* Tue Jun 20 2017 Ravi Hirekurabar<rhirekur@in.ibm.com> - 2.1-1
- Updated to Version 2.1-1

* Tue Jan 19 2010 Michael Perzl <michael@perzl.org> - 2.0-2
- fixed some RPM dependencies

* Wed Sep 16 2009 Michael Perzl <michael@perzl.org> - 2.0-1
- first version for AIX V5.1 and higher
